Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.IsWithLeavesState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.LeafState
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.IsWithLeavesState

Enclosing class:
  RuleImpl

protected class RuleImpl.IsWithLeavesState extends RuleImpl.LeafState
`RuleImpl.LeafState` class for rules for which `Rule.isLeaf()` is `false` and `Rule.isWithLeaves()` is `true`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`IsWithLeavesState()`

## Method Summary

Modifier and Type
Method
Description
`boolean[]`
`matchRecursive(StackFrame frame)`
Matches `#getRule()` for the automatic recursive stage, if applicable.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.RuleImpl.LeafState

`applyFirst, matchSingle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsWithLeavesState

protected IsWithLeavesState()

## Method Details

### matchRecursive

public boolean[] matchRecursive(StackFrame frame)
Matches `#getRule()` for the automatic recursive stage, if applicable.

Specified by:
  `matchRecursive` in class `RuleImpl.LeafState`
Parameters:
  `frame` - the stack frame in which to execute the matcher
Returns:
  `true` iff the rule has any matches